summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xstlinux_import_patches.sh12
1 files changed, 6 insertions, 6 deletions
diff --git a/stlinux_import_patches.sh b/stlinux_import_patches.sh
index f6adc67..9db3a34 100755
--- a/stlinux_import_patches.sh
+++ b/stlinux_import_patches.sh
@@ -7,7 +7,7 @@ usage: $0:t <STLINUX_PATCHES FOLDER> <TAG PREFIX> [Patch # start] [Patch # end]
EOF
}
-if ! git-rev-parse --git-dir >/dev/null
+if ! git rev-parse --git-dir >/dev/null
then
echo "This is not a GIT repository !"
usage
@@ -91,7 +91,7 @@ do
if [ "$(( $_RELEASE ))" -gt "$(( $RELEASE ))" ]
then
# Ha ! On est passé à une release "supérieure", alors on pose le tag
- git-tag "$TAG_PREFIX${_RELEASE}"
+ git tag "$TAG_PREFIX${_RELEASE}"
# Et on stocke le résultat pour le récupérer dans le bloc parent
echo $_RELEASE > .git/release
fi
@@ -122,15 +122,15 @@ do
echo "---" >> .git/message
read_patch_file $STLINUX_FOLDER/$file | patch -N $strip >> .git/message
# Suppression des fichiers supprimés par le patch
- git-rm $(git-ls-files --deleted) 2>/dev/null
+ git rm $(git ls-files --deleted) 2>/dev/null
# Ajout de tout le reste :-)
- git-add .
+ git add .
# Et on committe !!
- git-commit -F .git/message
+ git commit -F .git/message
else
echo >&2 "Skipping patch #$patch : $file"
fi
done
-git-tag "$TAG_PREFIX$((RELEASE + 1))"
+git tag "$TAG_PREFIX$((RELEASE + 1))"